Skip to content
Start here

List Access SCIM update logs

client.ZeroTrust.Access.Logs.SCIM.Updates.List(ctx, params) (*V4PagePaginationArray[AccessLogSCIMUpdateListResponse], error)
GET/accounts/{account_id}/access/logs/scim/updates

Lists Access SCIM update logs that maintain a record of updates made to User and Group resources synced to Cloudflare via the System for Cross-domain Identity Management (SCIM).

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: SCIM Logs Read
ParametersExpand Collapse
params AccessLogSCIMUpdateListParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
IdPID param.Field[[]string]

Query param: The unique Id of the IdP that has SCIM enabled.

CfResourceID param.Field[string]optional

Query param: The unique Cloudflare-generated Id of the SCIM resource.

Direction param.Field[AccessLogSCIMUpdateListParamsDirection]optional

Query param: The chronological order used to sort the logs.

const AccessLogSCIMUpdateListParamsDirectionDesc AccessLogSCIMUpdateListParamsDirection = "desc"
const AccessLogSCIMUpdateListParamsDirectionAsc AccessLogSCIMUpdateListParamsDirection = "asc"
IdPResourceID param.Field[string]optional

Query param: The IdP-generated Id of the SCIM resource.

Limit param.Field[int64]optional

Query param: The maximum number of update logs to retrieve.

Page param.Field[int64]optional

Query param: Page number of results.

PerPage param.Field[int64]optional

Query param: Number of results per page.

RequestMethod param.Field[[]AccessLogSCIMUpdateListParamsRequestMethod]optional

Query param: The request method of the SCIM request.

const AccessLogSCIMUpdateListParamsRequestMethodDelete AccessLogSCIMUpdateListParamsRequestMethod = "DELETE"
const AccessLogSCIMUpdateListParamsRequestMethodPatch AccessLogSCIMUpdateListParamsRequestMethod = "PATCH"
const AccessLogSCIMUpdateListParamsRequestMethodPost AccessLogSCIMUpdateListParamsRequestMethod = "POST"
const AccessLogSCIMUpdateListParamsRequestMethodPut AccessLogSCIMUpdateListParamsRequestMethod = "PUT"
ResourceGroupName param.Field[string]optional

Query param: The display name of the SCIM Group resource.

ResourceType param.Field[[]AccessLogSCIMUpdateListParamsResourceType]optional

Query param: The resource type of the SCIM request.

const AccessLogSCIMUpdateListParamsResourceTypeUser AccessLogSCIMUpdateListParamsResourceType = "USER"
const AccessLogSCIMUpdateListParamsResourceTypeGroup AccessLogSCIMUpdateListParamsResourceType = "GROUP"
ResourceUserEmail param.Field[string]optional

Query param: The email address of the SCIM User resource.

formatemail
Since param.Field[Time]optional

Query param: the timestamp of the earliest update log.

formatdate-time
Status param.Field[[]AccessLogSCIMUpdateListParamsStatus]optional

Query param: The status of the SCIM request.

const AccessLogSCIMUpdateListParamsStatusFailure AccessLogSCIMUpdateListParamsStatus = "FAILURE"
const AccessLogSCIMUpdateListParamsStatusSuccess AccessLogSCIMUpdateListParamsStatus = "SUCCESS"
Until param.Field[Time]optional

Query param: the timestamp of the most-recent update log.

formatdate-time
ReturnsExpand Collapse
type AccessLogSCIMUpdateListResponse struct{…}
CfResourceID stringoptional

The unique Cloudflare-generated Id of the SCIM resource.

ErrorDescription stringoptional

The error message which is generated when the status of the SCIM request is ‘FAILURE’.

IdPID stringoptional

The unique Id of the IdP that has SCIM enabled.

IdPResourceID stringoptional

The IdP-generated Id of the SCIM resource.

LoggedAt Timeoptional
formatdate-time
RequestBody stringoptional

The JSON-encoded string body of the SCIM request.

RequestMethod stringoptional

The request method of the SCIM request.

ResourceGroupName stringoptional

The display name of the SCIM Group resource if it exists.

ResourceType stringoptional

The resource type of the SCIM request.

ResourceUserEmail stringoptional

The email address of the SCIM User resource if it exists.

formatemail
Status stringoptional

The status of the SCIM request.

List Access SCIM update logs

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  page, err := client.ZeroTrust.Access.Logs.SCIM.Updates.List(context.TODO(), zero_trust.AccessLogSCIMUpdateListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    IdPID: cloudflare.F([]string{"df7e2w5f-02b7-4d9d-af26-8d1988fca630", "0194ae2c-efcf-7cfb-8884-055f1a161fa5"}),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "cf_resource_id": "bd97ef8d-7986-43e3-9ee0-c25dda33e4b0",
      "error_description": "Invalid JSON body",
      "idp_id": "df7e2w5f-02b7-4d9d-af26-8d1988fca630",
      "idp_resource_id": "all_employees",
      "logged_at": "2014-01-01T05:20:00.12345Z",
      "request_body": "{}}",
      "request_method": "DELETE",
      "resource_group_name": "ALL_EMPLOYEES",
      "resource_type": "GROUP",
      "resource_user_email": "john.smith@example.com",
      "status": "FAILURE"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "cf_resource_id": "bd97ef8d-7986-43e3-9ee0-c25dda33e4b0",
      "error_description": "Invalid JSON body",
      "idp_id": "df7e2w5f-02b7-4d9d-af26-8d1988fca630",
      "idp_resource_id": "all_employees",
      "logged_at": "2014-01-01T05:20:00.12345Z",
      "request_body": "{}}",
      "request_method": "DELETE",
      "resource_group_name": "ALL_EMPLOYEES",
      "resource_type": "GROUP",
      "resource_user_email": "john.smith@example.com",
      "status": "FAILURE"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}